qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hiram Chirino" <hi...@hiramchirino.com>
Subject Re: Is qpid/java trunk supposed to build without test failures?
Date Tue, 02 Dec 2008 16:58:17 GMT
I've got a 32 bit Intel Core Due.. I don't think they make a Java 6
for it yet.  I think it's only for 64 bit machines. :(

On Tue, Dec 2, 2008 at 10:35 AM, Martin Ritchie <ritchiem@apache.org> wrote:
> 2008/12/2 Hiram Chirino <hiram@hiramchirino.com>:
>> So I can't build on OS X now due to the 1.6 requirement.. It built
>> fine on linux, but on windows it failed, on that pesky ConnectionTest:
>
> If you use JDK 1.6 on OS X then it should work ok, did so yesterday.
> Just for the record I'm running Leopard on Intel which IIRC includes a
> 1.6 JDK which is not the default but a 'ls -al /usr/bin/java' will
> show you where it would be. I don't have a Mac in the office so can
> check that for you later if you need.
>
> If you give me more details on your OS X environment then perhaps I
> can test it out as I have both PPC and intel boxes at home, though
> they may all be on Leopard.
>
> Regards
>
> Martin
>
>> test:
>>     [echo] Using config:default.testprofile
>>    [junit] Running org.apache.qpid.AMQExceptionTest
>>    [junit] Tests run: 3, Failures: 0, Errors: 0, Time elapsed: 0.453 sec
>>    [junit] Running org.apache.qpid.framing.AMQShortStringTest
>>    [junit] Tests run: 4, Failures: 0, Errors: 0, Time elapsed: 0.032 sec
>>    [junit] Running org.apache.qpid.framing.BasicContentHeaderPropertiesTest
>>    [junit] Tests run: 18, Failures: 0, Errors: 0, Time elapsed: 0.125 sec
>>    [junit] Running org.apache.qpid.framing.PropertyFieldTableTest
>>    [junit] Tests run: 23, Failures: 0, Errors: 0, Time elapsed: 0.047 sec
>>    [junit] Running org.apache.qpid.pool.PoolingFilterTest
>>    [junit] Tests run: 1, Failures: 0, Errors: 0, Time elapsed: 0.125 sec
>>    [junit] Running org.apache.qpid.transport.ConnectionTest
>>
>> BUILD FAILED
>> C:\sandbox\qpid-trunk\java\build.xml:73: The following error occurred
>> while executing this line:
>> C:\sandbox\qpid-trunk\java\build.xml:54: The following error occurred
>> while executing this line:
>> C:\sandbox\qpid-trunk\java\module.xml:226: java.lang.OutOfMemoryError:
>> Java heap space
>>
>> Total time: 1 minute 16 seconds
>> C:\sandbox\qpid-trunk\java>ant test
>>
>>
>> On Mon, Dec 1, 2008 at 4:39 PM, Rafael Schloming <rafaels@redhat.com> wrote:
>>> Hiram Chirino wrote:
>>>>
>>>> Ah thanks.. I just tried that and got:
>>>>
>>>> compile:
>>>>     [echo] Targeting : 1.5
>>>>    [javac] Compiling 268 source files to
>>>> /Users/chirino/sandbox/qpid-trunk/java/build/broker/classes
>>>>    [javac]
>>>> /Users/chirino/sandbox/qpid-trunk/java/broker/src/main/java/org/apache/qpid/server/ExtractResendAndRequeue.java:57:
>>>> method does not override a method from its superclass
>>>>    [javac]     @Override
>>>>    [javac]      ^
>>>>    [javac]
>>>> /Users/chirino/sandbox/qpid-trunk/java/broker/src/main/java/org/apache/qpid/server/ExtractResendAndRequeue.java:104:
>>>> method does not override a method from its superclass
>>>>    [javac]     @Override
>>>>    [javac]      ^
>>>>    [javac]
>>>> /Users/chirino/sandbox/qpid-trunk/java/broker/src/main/java/org/apache/qpid/server/subscription/SubscriptionImpl.java:82:
>>>> method does not override a method from its superclass
>>>>    [javac]         @Override
>>>>    [javac]          ^
>>>>    [javac]
>>>> /Users/chirino/sandbox/qpid-trunk/java/broker/src/main/java/org/apache/qpid/server/subscription/SubscriptionImpl.java:130:
>>>> method does not override a method from its superclass
>>>>    [javac]         @Override
>>>>    [javac]          ^
>>>>    [javac]
>>>> /Users/chirino/sandbox/qpid-trunk/java/broker/src/main/java/org/apache/qpid/server/subscription/SubscriptionImpl.java:200:
>>>> method does not override a method from its superclass
>>>>    [javac]         @Override
>>>>    [javac]          ^
>>>>    [javac] Note: Some input files use or override a deprecated API.
>>>>    [javac] Note: Recompile with -Xlint:deprecation for details.
>>>>    [javac] Note: Some input files use unchecked or unsafe operations.
>>>>    [javac] Note: Recompile with -Xlint:unchecked for details.
>>>>    [javac] 5 errors
>>>
>>> Are you building with Java 1.5? These days you need 1.6 or later to build
>>> the code. In particular @Override is being used on implementations of
>>> interface methods. This is permitted by Java 1.6 or later, but was illegal
>>> on Java 1.5.
>>>
>>> --Rafael
>>>
>>>
>>
>>
>>
>> --
>> Regards,
>> Hiram
>>
>> Blog: http://hiramchirino.com
>>
>> Open Source SOA
>> http://open.iona.com
>>
>
>
>
> --
> Martin Ritchie
>



-- 
Regards,
Hiram

Blog: http://hiramchirino.com

Open Source SOA
http://open.iona.com

Mime
View raw message